package com.dly.plugin.firstplugin;

import android.content.Context;
import android.widget.Toast;

import org.apache.cordova.CordovaPlugin;
import org.apache.cordova.CallbackContext;

import org.json.JSONArray;
import org.json.JSONException;

import es.dmoral.toasty.Toasty;

public class Toaster extends CordovaPlugin {

    public Toaster() {

    }

    @Override
    public boolean execute(String action, JSONArray args, CallbackContext callbackContext) throws JSONException {
        switch (action) {
            case "success":
                this.success(cordova.getActivity().getWindow().getContext(), args.getString(0));
                break;
            case "error":
                this.error(cordova.getActivity().getWindow().getContext(), args.getString(0));
                break;
            case "info":
                this.info(cordova.getActivity().getWindow().getContext(), args.getString(0));
                break;
            case "warning":
                this.warning(cordova.getActivity().getWindow().getContext(), args.getString(0));
            default:
                return false;
        }

        return true;
    }

    private void success(Context context, String text) {
        Toasty.success(context, text, Toast.LENGTH_SHORT, true).show();
    }

    private void error(Context context, String text) {
        Toasty.error(context, text, Toast.LENGTH_SHORT, true).show();
    }

    private void info(Context context, String text) {
        Toasty.info(context, text, Toast.LENGTH_SHORT, true).show();
    }

    private void warning(Context context, String text) {
        Toasty.warning(context, text, Toast.LENGTH_SHORT, true).show();
    }
}
